angular.module('luticate')
    .controller('TestController', ['$scope', 'luticateAuthUsers',
        function($scope, luticateAuthUsers) {

            $scope.luBasicTable = {
                columns: [
                    {
                        name: "Username",
                        width: 3,
                        getValue: function (item) {
                            return item.Username;
                        }
                    }, {
                        name: "Email",
                        width: 3,
                        getValue: function (item) {
                            return item.Email;
                        }
                    }, {
                        name: "Firstname",
                        width: 3,
                        getValue: function (item) {
                            return item.Firstname;
                        }
                    }, {
                        name: "Lastname",
                        width: 3,
                        getValue: function (item) {
                            return item.Lastname;
                        }
                    }
                ],

                canCheck: function()
                {
                    return true;
                },

                canClick: function()
                {
                    return false;
                },

                onItemClicked: function(item, scope)
                {
                    console.log(item);
                    scope.toggleCheckedItem(item);
                    return false;
                },

                onItemChecked: function(item, checked, scope)
                {
                    console.log(item, checked);
                    return false;
                },

                getLoadPagePromise: function (page, perPage, promise) {
                    return luticateAuthUsers.getAll({page: page, perPage: perPage}, promise);
                },

                luBusy: "luBasicTable"
            };


            $scope.luEditTable = {
                columns: [
                    {
                        name: "Username",
                        width: 3,
                        getValue: function (item) {
                            return item.Username;
                        }
                    }, {
                        name: "Email",
                        width: 3,
                        getValue: function (item) {
                            return item.Email;
                        }
                    }, {
                        name: "Firstname",
                        width: 3,
                        getValue: function (item) {
                            return item.Firstname;
                        }
                    }, {
                        name: "Lastname",
                        width: 3,
                        getValue: function (item) {
                            return item.Lastname;
                        }
                    }
                ],

                onItemClicked: function(item, scope)
                {
                    console.log("edit clicked", item);
                    return false;
                },

                onItemChecked: function(item, checked, scope)
                {
                    console.log("edit checked", item, checked);
                    return false;
                },

                getLoadPagePromise: function (page, perPage, promise) {
                    return luticateAuthUsers.getAll({page: page, perPage: perPage}, promise);
                },

                luBusy: "luEditTable",



                getDelPromise: function (id, promise) {
                    console.log(promise);
                    return luticateAuthUsers.del({user_id: id}, promise);
                },

                getEditController: function () {
                    return "UserEdit";
                },

                onItemDeleted: function(item, scope)
                {
                    console.log("edit removed", item);
                },

                onItemEdited: function(item, scope)
                {
                    console.log("edit edited", item);
                },

                onItemAdded: function(item, scope)
                {
                    console.log("edit added", item);
                },

                canDelete: function()
                {
                    return true;
                },

                canEdit: function()
                {
                    return true;
                },

                canAdd: function()
                {
                    return true;
                }
            };
    }]);
